Questions tagged [ubuntu]

Ubuntu is a computer operating system based on the Debian Linux distribution and distributed as free and open source software, using its own desktop environment.

Filter by
Sorted by
Tagged with
1
vote
0answers
469 views

QGIS options menu causes freeze on Ubuntu 16.04, solutions?

First time asking, I've checked the internet and no luck. I am unable to edit the program options in QGIS 2.14.3 running on Ubuntu 16.04 (settings -> options). I've uninstalled all QGIS packages (...
3
votes
1answer
3k views

Installing LASzip in Ubuntu?

I have tried without any success to install LASzip¹ ² (paper by Isenburg about LASzip) on Ubuntu 16.04. The basic way gave me nothing relevant: ./configure && make & checkinstall which ...
1
vote
0answers
93 views

How to change which python GDAL is “connected” to?

I would like to use GDAL with Python 2.7 on Ubuntu 14.04. I have installed gdal-bin and python-gdal from UbuntuGIS following their instructions. However, importing GDAL (from osgeo import gdal) only ...
2
votes
0answers
386 views

QGIS with GRASS on ubuntu 16.04

Following the advice on Installing QGIS with GRASS plugin on Ubuntu?... I've installed qgis, qgis-plugin-grass, python-qgis, grass-core=6.4.3-3, grass=6.4.3-3, grass-doc=6.4.3-3, grass-gui=6.4.3-3 I ...
2
votes
0answers
301 views

QGIS segmentation fault related to numpy on Ubuntu

I'm running QGIS 2.14 on Ubuntu 14.04 and everything's been working just fine until I upgraded a few Python packages via pip this afternoon. Since doing that, QGIS crashes with a segmentation fault ...
2
votes
1answer
115 views

What is the correct (QGIS) syntax for a masked PostQIS spatial query?

What is the correct syntax if I want to query a masked region from PostGIS from inside QGIS ? The data is from "planet_osm_poly" (imported via osm2pgsql) and I'd like to use a polygon from a ...
1
vote
1answer
395 views

Installing QGIS-Server on Ubuntu 14 (64-Bit AWS EC2 Instance), /cgi-bin/ doesn't work

I've been trying to install qgis-server (2.14) on Ubuntu 14 (64-bit) using instructions from the the qgis-server installation instructions and tips from this question. All the packages install, I can ...
4
votes
1answer
2k views

Cannot update GDAL on Ubuntu

I am trying to use GDAL_Rasterize and found a link via Google that suggested that there were bugs in older versions. I am running Ubuntu 14.04 LTS and 'gdalinfo --version' gives me 'GDAL 1.11.2, ...
1
vote
0answers
289 views

ogr2ogr not running on Ubuntu 15.10

I'm trying to convert an osm.pbf file to a spatialite db but I can't get ogr2ogr to run. I have qgis 2.14.2 and ubuntu 15.10. I've reinstalled gdal-bin and I'm getting the following message from the ...
1
vote
0answers
63 views

NVIZ not installed/working?

I am running GRASS GIS 7.0.4 on Ubuntu 16.04. After completing a tutorial on extruding vector data, I tried running the nviz command to see the result in a 3D-view. This is in norwegian, but it ...
0
votes
3answers
3k views

PostGIS broken after Ubuntu 16.04 upgrade

I upgraded Ubuntu from 15.01 to 16.04 and PostGIS is broken. Below are the errors: psql (9.5.2) Type "help" for help. osm=# select version(); version ------...
1
vote
2answers
9k views

The connection was reset deploying geoserver.war in ubuntu

I have installed Tomcat 7 in Ubuntu and when I try to deploy geoserver.war I receive the error "The connection was reset" in Firefox and "402 Access Denied" in Chromium. How do I deploy geoserver.war?...
1
vote
2answers
1k views

Getting QGIS to use dedicated graphics card (GPU) over integrated?

does anyone know how i'd be able to get QGIS in either windows or Ubuntu to use the dedicated graphics card over the integrated graphics? I am attempting to speed up the processing of a supervised ...
26
votes
6answers
23k views

Install QGIS 2.14 Essen on Ubuntu 16.04 Xenial

I'm having trouble installing QGIS on Xenial. `debian` release When I try using the debian release (i.e. without ubuntugis dependencies) I get the following errors (please note there is no xenial ...
1
vote
0answers
48 views

Why does QGIS spontaneously corrupt shapefile data? [duplicate]

I'm using QGIS 2.14 (Mac), but I have had the same problem with 2.8 (Ubuntu). When I am editing a shapefile, QGIS seems to spontaneously corrupt the data in unpredictable and catastrophic ways that ...
0
votes
1answer
120 views

Why can't I run .tif file with GDAL?

I am trying to extract data from a geotiff file in the Ubuntu terminal. My professor used the command "gdal NDVI.tif" and was able to write the data to a text file. When I use that command, I get the ...
2
votes
0answers
188 views

QGIS 2.14 Linux/Ubuntu GRASS algorithms - This algorithm cannot be run :-( [closed]

Does someone else have the problem that GRASS Tools don't work in QGIS 2.14 Toolbox ? Error: "This algorithm cannot be run :-(" GRASS7 is enabled in Toolbox options and installed (with QGIS-GRASS ...
0
votes
1answer
586 views

Local Nominatim install accessing with API

I have installed a local Nominatim install on Ubuntu using the instructions located at http://wiki.openstreetmap.org/wiki/Nominatim/Installation and I am using Apache. The installation appears to ...
4
votes
1answer
615 views

MODIS data with .hdf extension not compiling in Ubuntu

I am trying to use GDAL to read .hdf file, but it does not seem to recognize the extension. It works fine in Windows system. The GDAL open command gives the following error message: ERROR 4: `...
1
vote
0answers
57 views

Error while creating plugin using plugin builder in Ubuntu 15.04

I am building a QGIS plugin using qgis plugin builder 2.10.1. I am using Ubuntu 15.04. I had selected (/usr/share/qgis/python/plugins) path for the plugin to store in plugin builder, Its raising an ...
1
vote
0answers
559 views

Google Earth graphics card problem in Ubuntu 14.04 64bit

I am struggling to get Google Earth working properly in Ubuntu 14.04 64bit. The program opens correctly and does not crash, as many report over the web. But it has trouble working with the graphics ...
1
vote
1answer
159 views

Install pygeoprocessing on ubuntu 14.04 and python3

I'm trying to install the pygeoprocessing package for Python 3.4 on an Ubuntu 14.04 VM. I have all the necessary versions of the required dependencies (GDAL, numpy, scipy, shapely, Cython). ...
4
votes
2answers
243 views

GRASS r.in.lidar tool generates incomplete rasters

I have been trying to import a huge LIDAR file (10.5) Gb to GRASS GIS using r.in.lidar. It does the task, but only for part of the image, as shown below: Canopy Height Model (CHM) generated with ...
0
votes
0answers
152 views

Ordnance Survey Master Map font in QGIS 2.14 [duplicate]

I have been trying to style some OSMM data using their supplied QML files which include a font with some of their symbology in. I've added the font to my system (ubuntu 14.04 LTS) and when viewed in ...
4
votes
1answer
1k views

QGIS Segmentation fault (core dumped)

QGIS 2.14 worked fine until a couple of days ago (ubuntu 15.10 wily), but now crashes at startup with only this error : Segmentation fault (core dumped) sudo qgis doesn't give any error but QGIS don'...
2
votes
1answer
381 views

SFCGAL compilation: How to specify CGAL path?

I'm a Linux newbie but nevertheless I want to install SFCGAL on OSGeoLive Virtual Machine (this is Ubuntu 14.04.4. LTS trusty). So first of all I had to get the dependencies, e.g. CGAL. Unfortunately ...
1
vote
1answer
772 views

How to build osm tileserver (Ubuntu 14.04 LTS)?

I'm trying to follow the tutorial: https://switch2osm.org/serving-tiles/manually-building-a-tile-server-14-04/ And the first part works greatly, but because i'm new at using Linux (Ubuntu 14.04 LTS ...
3
votes
0answers
984 views

QGIS 2.14 fails to install on Ubuntu 14.04

My previously working installation of QGIS 2.14 on Ubuntu 14.04 suddenly failed to start QGIS. I have been trying to reinstall QGIS without success. I have tried several ways to completely uninstall ...
0
votes
1answer
117 views

3D interactive terrain visualization with GRASS 7

GRASS 6 had an interesting and interactive terrain visualization tool which was based on Tcl/Tk and called NViz. After my Ubuntu 15.10 updated itself for GRASS 7.0, the NViz interactive tool is ...
1
vote
1answer
802 views

PostGIS raster geoTiff simple Lat/Lon query example

I've successfully loaded a geoTif into PostGIS (Postgresql 9.3.9) using the following command on my Ubuntu 14.04 server:- sudo -u postgres raster2pgsql -s 4326 -d -I -C -M -R -l 4 /path/to/my_raster....
0
votes
1answer
127 views

Grass r.gwr addon difficulties Ubuntu

I am using Grass7 and Ubuntu14.4 I am attempting to carry out a geographically weighted regression between two .tif files but am having issues with the call to r.gwr Code and output is as follows. ...
0
votes
1answer
202 views

Is there some method on Ubuntu to request newest postgresql postgis package rather than specific version?

There is postgresql-9.3-postgis-2.1 and there is postgresql-9.4-postgis-2.1. Unfortunately 9.3 is available only on trusty and 9.4 is not available on trusty (see http://packages.ubuntu.com/search?...
1
vote
0answers
157 views

Is there a native JAI implementation for Ubuntu 14.04 64 bit? I'm trying to boost geoserver performance

Is there a native JAI implementation for Ubuntu 14.04 64 bit? I can't find it anywhere.
2
votes
1answer
509 views

GRASS init error in QGIS?

Every time when I start my QGIS I see the following message: GRASS init error: Problem in GRASS initialization, GRASS provider and plugin will not work : Module built against version $Revision: ...
3
votes
1answer
180 views

Need WFS-T for field work on GeoServer/PostGIS

I'm using a Boundless install of OpenGeo Suite on Ubuntu Server 12.04 with Tomcat 7. I need to allow remote access to update from the field. I can edit features fine on network, but not remotely. *...
2
votes
4answers
371 views

Problem in ubuntu loading geoserver wms layer in local server with leaflet

I am just starting to work with geoserver. I am trying to do the same openlayers-geoserver example but using leaflet to view the map instead of openlayers: Publishing a shapefile This code is not ...
0
votes
1answer
139 views

Unable to call otbApplication from python

I have been tryng to use some of OTB functions from python, but i am unable to import the module (otbApplication), even after to adding the PYTHONPATH to my basrc file. I am working in Ubuntu14.04, ...
1
vote
1answer
281 views

OpenGeo Suite installed on Ubuntu 14.04, unable to proceed/delete issues with dependencies

I have installed the OpenGeo Suite on my "Trusty Tahr". I am able to access my Tomcat server as well as Geoserver on http://localhost. The issue I'm dealing with currently stems from ...
4
votes
0answers
190 views

QGIS Color text labels the same color as the feature [duplicate]

Using QGIS 2.12.1 on Ubuntu 14.04 Desktop. What I have is a layer where each feature is a different color. I also want to label each feature but I want the label colors to match the feature colors. I ...
4
votes
1answer
230 views

IPython plugin not loading in QGIS 2.12

I am trying to run the IPython console plugin in QGIS 2.12 After installing the plugin there is this error: You need to install IPython 3.1.0 (and then restart QGIS) before running this ...
7
votes
2answers
1k views

Upgrading from Qgis 2.4 to 2.12 on Ubuntu 15.04

This should be a simple question. On Ubuntu 15.04 how can I get Qgis upgraded from 2.4 to 2.12?
0
votes
0answers
429 views

Unable to install pgrouting for postgres 9.3.5/postgis 2.1.7

I am running postgres 9.3.5 and postgis 2.1.7 on Ubuntu Server 14.10. I am trying to install pgrouting, but having no luck. 1) I tried the following based in the official workshop documentation: ...
2
votes
1answer
452 views

GDAL utility in Bash for loop (Ubuntu) [closed]

In Windows GDAL terminal (in Windows, GDAL has a specific terminal/prompt) I usually do loops and it works like a charm. What I'm trying to do the same in a Shell terminal in Ubuntu with the ...
1
vote
1answer
1k views

How to install pl/r pl/python pl/v8 in Ubuntu?

I am trying to find instructions on installing the PostGIS Procedural Languages (PL) for R, Python and V8 as required for the "PostGIS in Action" 2ed. book. I searched on google and couldn't find ...
1
vote
1answer
812 views

How to set up geoserver with lattest jetty version ? Problem with geoserver web archive version

Context : I was first using geoserver as a standalone (platform independent binary) version on Ubuntu. Almost everything is fine. But the jetty version it is built on is really old (6.8.1) and ...
3
votes
1answer
4k views

How to install the latest PostGIS in Ubuntu

I am wondering how can I install the latest PostGIS 2.2 (testing) from the Debian GIS project here: https://launchpad.net/ubuntu/+source/postgis/2.2.0+dfsg-3 I tried apt-get install -s postgis after ...
1
vote
1answer
1k views

Install latest Osmosis version on Ubuntu

I am using Ubuntu 14.04 and I would like to know the easiest way to install the latest (stable) version of Osmosis, which is 0.44. I ran sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable sudo ...
1
vote
1answer
144 views

Making GRASS GIS 7 Ubuntu bash file work on Windows 7

I have created this bash file (.sh) while working on watershed analysis stochastic simulation in GRASS GIS 7.0.2RC1, which is running on Ubuntu. It worked perfectly and I received the correct results. ...
1
vote
0answers
44 views

Can I have two distinct workspaces with two different layers reference the same data store in Geoserver?

Using geoserver 2.7.2 on Ubuntu 14.04 64 bit. I have a large image pyramid I'd like to use in two workspaces simultaneously. Do I have to create two separate "stacks" of folders, stores, and layers?...
3
votes
1answer
1k views

GRASS 6.4 Reinstallation for Ubuntu

I need to reinstall GRASS 6.4 on this Ubuntu computer due to compatibility issues. I had installed GRASS 6.4 a few weeks ago to work with a simulation program. I used the command apt-get install ...